Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class PrimitiveSparseArray.Iterator

`java.lang.Object
com.tangosol.util.AbstractSparseArray.Crawler
com.tangosol.util.PrimitiveSparseArray.Iterator`

All Implemented Interfaces:
  LongArray.Iterator, Cloneable, Iterator

Enclosing class:
  PrimitiveSparseArray

      public class PrimitiveSparseArray.Iterator

extends AbstractSparseArray.Crawler

Iterator over long values stored in the tree.

Field Summary

Fields inherited from class com.tangosol.util.AbstractSparseArray.Crawler
`ABOVE, current, fForward, fromdir, LEFT, RIGHT, SITTING`

Constructor Summary
`protected` | `PrimitiveSparseArray.Iterator(AbstractSparseArray.Node head, int fromdir, boolean fForward)` Instantate a new PrimitiveIteartor at the specified location and direction.

Method Summary
`long` | `getPrimitiveValue()` Returns the current value, which is the same value returned by the most recent call to the `nextPrimitive` method, or the most recent value passed to `setPrimitiveValue` if `setPrimitiveValue` were called after the `nextPrimitive` method.
`long` | `nextPrimitive()` Returns the next element (as a long) in the iteration.
`long` | `setPrimtiveValue(long lValue)` Stores a new value at the current value index, returning the value that was replaced.

Methods inherited from class com.tangosol.util.AbstractSparseArray.Crawler
`clone, currentNode, getIndex, getValue, hasNext, next, nextNode, remove, setValue, toString`

Constructor Detail

### PrimitiveSparseArray.Iterator

    protected PrimitiveSparseArray.Iterator(AbstractSparseArray.Node head,
                                            int fromdir,
                                            boolean fForward)

  Instantate a new PrimitiveIteartor at the specified location and direction.
  Parameters:
    `head` - the node at which to start the crawl
    `fromdir` - the direction in which to start the crawl

Method Detail

### nextPrimitive

    public long nextPrimitive()

  Returns the next element (as a long) in the iteration.
  Returns:
    the next element (as a long) in the iteration
  Throws:
    `NoSuchElementException` - iteration has no more elements

### getPrimitiveValue

    public long getPrimitiveValue()

  Returns the current value, which is the same value returned by the most recent call to the `nextPrimitive` method, or the most recent value passed to `setPrimitiveValue` if `setPrimitiveValue` were called after the `nextPrimitive` method.
  Returns:
    the current value
  Throws:
    `IllegalStateException` - if the `next` method has not yet been called, or the `remove` method has already been called after the last call to the `next` method.

### setPrimtiveValue

    public long setPrimtiveValue(long lValue)

  Stores a new value at the current value index, returning the value that was replaced. The index of the current value is obtainable by calling the `getIndex` method.
  Returns:
    the replaced value
  Throws:
    `IllegalStateException` - if the `next` method has not yet been called, or the `remove` method has already been called after the last call to the `next` method.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.